-- Character.lua

local FixedTimeCoroutine = CoroutineUtility.FixedTimeCoroutine

local Character = {}

--[[
-- color
function Character:ColorTo(to, time, easing_func)
	local from = self:color()
	FixedTimeCoroutine(
		function(t)
			self:color(Color.Lerp(from, to, t))
		end,
		time, easing_func)
	self:color(to)
end
]]

-- alpha
function Character:AlphaTo(to, time, easing_func)
	local from = self:alpha()
	local difference = to - from
	FixedTimeCoroutine(
		function(t)
			self:alpha(from + difference * t)
		end,
		time, easing_func)
	self:alpha(to)
end

-- animation
function Character:WaitAnimation()
	while self:IsLastPlayAnimationPlaying() do
		coroutine.yield()
	end
end

-- party side
function Character:IsLeftParty()
	return self:party_index() == 0
end
function Character:IsRightParty()
	return self:party_index() == 1
end

return Character
