-- start.lua

print('call confront.lua')

local members_length = #members
local member_transforms

local special_camera = false
for i, value in ipairs(members) do
	local character_id = value:character_id()
	special_camera =
		character_id == CharacterID.kRMC or
		character_id == CharacterID.kErnesta
	if special_camera then
		break
	end
end

if members_length <= 2 then

	if special_camera then
		PlayCameraAnimation('camera_start_2team_rmc')
	else
		PlayCameraAnimation('camera_start_2team')
	end

	if members_length <= 1 then
		member_transforms = {
			{ position = {0.0, 0.0, 0.0}, rotation = {0.0, 0.0, 0.0} },
		}
	else
		member_transforms = {
			{ position = {0.55, 0.0, 0.25}, rotation = {0.0, 5.0, 0.0} },
			{ position = {-1.0, 0.0, -1.3}, rotation = {0.0, 0.0, 0.0} },
			--{ position = {-0.55, 0.0, -0.25}, rotation = {0.0, 0.0, 0.0} }, @@-@

			--{ position = {0.3, 0.0, -0.4}, rotation = {0.0, 0.0, 0.0} },
			--{ position = {-0.3, 0.0, 0.7}, rotation = {0.0, 0.0, 0.0} },
			--{ position = {-0.5, 0.0, 0.15}, rotation = {0.0, 0.0, 0.0} },
			--{ position = {0.5, 0.0, -1.5}, rotation = {0.0, 0.0, 0.0} },
		}
	end
else

	if special_camera then
		PlayCameraAnimation('camera_start_5team_rmc')
	else
		PlayCameraAnimation('camera_start_5team')
	end

	member_transforms = {

		{ position = {0.0, 0.0, 2.2}, rotation = {0.0, 0.0, 0.0} },
		{ position = {1.6, 0.0, 0.9}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-1.6, 0.0, 0.9}, rotation = {0.0, 0.0, 0.0} },
		{ position = {0.8, 0.0, -0.9}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-0.8, 0.0, -0.9}, rotation = {0.0, 0.0, 0.0} },

		--{ position = {0.0, 0.0, 0.6}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {0.9, 0.0, -1.3}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {-1.0, 0.0, -1.0}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {0.4, 0.0, -3.2}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {-1.0, 0.0, -3.2}, rotation = {0.0, 0.0, 0.0} },
	}


end

for i, value in ipairs(members) do
	local transform = member_transforms[i]
	local position = transform.position
	local rotation = transform.rotation
	value
		:position(Vector3.New(position[1], position[2], position[3]))
		:Rotate(Vector3.New(rotation[1], rotation[2], rotation[3]))
	value
		:visible(true)
		:PlayAnimation('start')
end
CallCharacterEvent(members[1], 'OnConfront')

for i, value in ipairs(members) do
	value:WaitAnimation()
end
