-- miasma_damage.lua

print('call miasma_damage.lua')

PlayCameraAnimation('camera_miasma', Vector3.New(0.0, 0.0, -5.0))

local targets_length = #targets
local target_transforms
if math.fmod(targets_length, 2) ~= 0 then
	-- odd
	target_transforms = {
		{ position = {0.0, 0.0, -5.0}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-1.1, 0.0, -6.0}, rotation = {0.0, 0.0, 0.0} },
		{ position = {1.1, 0.0, -6.0}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-0.75, 0.0, -8.0}, rotation = {0.0, 0.0, 0.0} },
		{ position = {0.75, 0.0, -8.0}, rotation = {0.0, 0.0, 0.0} },
	}
else
	-- even
	target_transforms = {
		{ position = {-0.35, 0.0, -4.5}, rotation = {0.0, 0.0, 0.0} },
		{ position = {0.6, 0.0, -6.0}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-1.2, 0.0, -7.25}, rotation = {0.0, 0.0, 0.0} },
		{ position = {1.7, 0.0, -8.0}, rotation = {0.0, 0.0, 0.0} },
	}
end

for i, target in ipairs(targets) do
	local transform = target_transforms[i]
	local position = transform.position
	local rotation = transform.rotation
	target
		:position(Vector3.New(position[1], position[2], position[3]))
		:Rotate(Vector3.New(rotation[1], rotation[2], rotation[3]))
	target
		:visible(true)
		:PlayAnimation('miasma')
	CreateEffect('ef_poison')
		:position(target:position())
end


--local target_count = #targets
--for i, target in ipairs(targets) do
--	local half = math.floor(i / 2.0)
--	target
--		:position(Vector3.New(1.0 * half * (1.0 - (2.0 * (i - (half * 2)))), 0.0, -(5.0 + 1.0 * half)))
--		:visible(true)
--		:PlayAnimation('miasma')
--	CreateEffect('ef_poison')
--		:position(target:position())
--end

Wait(1.5)

PlaySE('miasma')

MiasmaDamage()

Wait(1.5)

for i, target in ipairs(targets) do
	target:visible(false)
end
