-- result.lua

print('call result.lua')

local animation_name
if win then
	CreateResultWinObject()
	animation_name = 'victory'
	CallCharacterEvent(members[1], 'OnWin')
else
	if not tutorial then
		CreateAnimationObject('ResultLose')
		animation_name = 'lose'
		CallCharacterEvent(members[1], 'OnLose')
	else
		animation_name = 'lose'
	end
end


local members_length = #members
local member_transforms


local special_camera = false
for i, value in ipairs(members) do
	local character_id = value:character_id()
	special_camera =
		character_id == CharacterID.kRMC or
		character_id == CharacterID.kErnesta
	if special_camera then
		break
	end
end

if members_length <= 2 then

	if special_camera then
		PlayCameraAnimation('camera_victory_2team_1_rmc')
	else
		PlayCameraAnimation('camera_victory_2team_1')
	end

	member_transforms = {
		{ position = {0.55, 0.0, 0.0}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-0.55, 0.0, -0.0}, rotation = {0.0, 0.0, 0.0} },
	}
else

	if special_camera then
		PlayCameraAnimation('camera_victory_5team_1_rmc')
	else
		PlayCameraAnimation('camera_victory_5team_1')
	end

	member_transforms = {
		{ position = {0.0, 0.0, 2.0}, rotation = {0.0, 0.0, 0.0} },
		{ position = {1.6, 0.0, 0.7}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-1.6, 0.0, 0.7}, rotation = {0.0, 0.0, 0.0} },
		{ position = {0.8, 0.0, -1.2}, rotation = {0.0, 0.0, 0.0} },
		{ position = {-0.8, 0.0, -1.2}, rotation = {0.0, 0.0, 0.0} },

		--{ position = {-2.0, 0.0, 0.0}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {-0.7, 0.0, 1.6}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {-0.7, 0.0, -1.6}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {1.2, 0.0, 0.8}, rotation = {0.0, 0.0, 0.0} },
		--{ position = {1.2, 0.0, -0.8}, rotation = {0.0, 0.0, 0.0} },
	}
end

local members_length = #members
for i, value in ipairs(members) do
	local transform = member_transforms[i]
	local position = transform.position
	local rotation = transform.rotation
	value
		:position(Vector3.New(position[1], position[2], position[3]))
		:Rotate(Vector3.New(rotation[1], rotation[2], rotation[3]))
	value
		:visible(true)
		:PlayAnimation(animation_name)
end

for i, value in ipairs(members) do
	value:WaitAnimation()
end

if members_length <= 2 then
	if special_camera then
		PlayCameraAnimation('camera_victory_2team_2_rmc')
	else
		PlayCameraAnimation('camera_victory_2team_2')
	end
else
	if special_camera then
		PlayCameraAnimation('camera_victory_5team_2_rmc')
	else
		PlayCameraAnimation('camera_victory_5team_2')
	end
end

while true do
	coroutine.yield()
end
