-- Utility.lua

local Utility = {}

function Utility.IsInherited(t, metatable)
	local meta = getmetatable(t)
	while meta ~= nil do
		if meta == metatable then
			return true
		end
		meta = meta.__index
		if meta ~= nil then
			meta = getmetatable(meta)
		end
	end
	return false
end

function Utility.QuadraticBezier(p1, p2, p3, t)
	local rt = 1.0 - t
	return rt * rt * p1 + 2 * rt * t * p2 + t * t * p3 
end

function Utility.CubicBezier(p1, p2, p3, p4, t)
	local rt = 1.0 - t
	return rt * rt * rt * p1 + 3 * rt * rt * t * p2 + 3 * rt * t * t * p3 + t * t * t * p4
end

return Utility
